=== debian/changelog ===
darkradiant (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0
  * Drop 10-fix-ftbfs-missing-icon.patch -- applied upstream.

 -- Tobias Frost <tobi@debian.org>  Wed, 30 Nov 2022 16:22:11 +0100
