=== debian/control ===
Source: darkradiant
Section: graphics
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Tobias Frost <tobi@debian.org>
Build-Depends: asciidoctor,
               cmake,
               debhelper-compat (= 13),
               gettext,
               libalut-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-python-dev,
               libboost-regex-dev,
               libboost-serialization-dev,
               libboost-test-dev,
               libeigen3-dev,
               libftgl-dev,
               libglew-dev,
               libgtkglextmm-x11-1.2-dev,
               libgtkmm-2.4-dev,
               libjpeg-dev,
               libopenal-dev,
               libpython3-dev,
               libvorbis-dev,
               libwxgtk3.2-dev,
               libxml2-dev,
               pybind11-dev
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://darkradiant.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/games-team/darkradiant
Vcs-Git: https://salsa.debian.org/games-team/darkradiant.git

Package: darkradiant
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-freefont-ttf
Recommends: darkradiant-plugins-darkmod
Multi-Arch: foreign
Description: Level design toolchain for DOOM3 and The Dark Mod
 DarkRadiant is a 3D map and level editor for games based on the idtech4
 engines. The software is based on GtkRadiant and focuses on the games DOOM3 and
 The Dark Mod. Other games based on the same engine, like Quake 4, might be
 editable too, but are not explicitly supported.
 .
 Darkradiant can also be used to create free contents for the GPL'ed version of
 the DOOM3 engine.

Package: darkradiant-plugins-darkmod
Architecture: any
Multi-Arch: same
Depends: darkradiant (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: DarkMod-specific plugins for DarkRadiant
 DarkRadiant is a 3D map and level editor for games based on the idtech4
 engines. The software is based on GtkRadiant and focuses on the games DOOM3 and
 The Dark Mod. Other games based on the same engine, like Quake 4, might be
 editable too, but are not explicitly supported.
 .
 This package provides the plugins necessary to edit levels for The Dark Mod.
