=== libs/wxutil/CMakeLists.txt ===
add_library(wxutil
            ConsoleView.cpp
            dataview/DeclarationTreeView.cpp
            dataview/KeyValueTable.cpp
            dataview/ResourceTreeView.cpp
            dataview/ResourceTreeViewToolbar.cpp
            dataview/ThreadedResourceTreePopulator.cpp
            dataview/TreeModel.cpp
            dataview/TreeModelFilter.cpp
            dataview/TreeView.cpp
            dataview/VFSTreePopulator.cpp
            decl/DeclarationSelectorDialog.cpp
            decl/DeclarationSelector.cpp
            dialog/DialogBase.cpp
            dialog/Dialog.cpp
            dialog/MessageBox.cpp
            fsview/FileSystemView.cpp
            fsview/Populator.cpp
            DirChooser.cpp
            EntityClassChooser.cpp
            FileChooser.cpp
            FreezePointer.cpp
            GLWidget.cpp
            menu/PopupMenu.cpp
            menu/FilterPopupMenu.cpp
            ModalProgressDialog.cpp
            MouseToolHandler.cpp
            PanedPosition.cpp
            PathEntry.cpp
            preview/EntityPreview.cpp
            preview/GuiRenderer.cpp
            preview/GuiView.cpp
            preview/ModelPreview.cpp
            preview/ParticlePreview.cpp
            preview/RenderPreview.cpp
            SerialisableWidgets.cpp
            sourceview/DeclarationSourceView.cpp
            sourceview/DefinitionView.cpp
            sourceview/SourceView.cpp
            Splitter.cpp
            WindowPosition.cpp
            WindowState.cpp)
target_compile_options(wxutil PUBLIC ${FTGL_CFLAGS})
target_link_libraries(wxutil PUBLIC
                      math
                      scenegraph
                      xmlutil
                      ${wxWidgets_LIBRARIES}
                      ${SIGC_LIBRARIES}
                      ${FTGL_LIBRARIES}
                      ${GLEW_LIBRARIES}
                      ${GL_LIBRARIES})
