=== debian/changelog ===
darkradiant (3.8.0-2build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:41:16 +1100

darkradiant (3.8.0-2build3) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:10:35 +0100

darkradiant (3.8.0-2build2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:17:37 +0000

darkradiant (3.8.0-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:14:01 +0000

darkradiant (3.8.0-2) unstable; urgency=medium

  * Adding B-D on libglib2.0-dev and libsigc++-2.0-dev to allow libgtkmm-2.4-dev
    to be dropped. Thanks to Simon McVittie for the patch! (Closes: #1041791)

 -- Tobias Frost <tobi@debian.org>  Mon, 24 Jul 2023 06:11:15 +0200

darkradiant (3.8.0-1) unstable; urgency=medium

  * New upstream release 3.8.0

 -- Tobias Frost <tobi@debian.org>  Sun, 23 Jul 2023 18:42:39 +0200
