=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: darkradiant
 Section: graphics
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Tobias Frost <tobi@debian.org>
 Build-Depends: asciidoctor,
                cmake,
@@ -17,11 +18,11 @@
                libeigen3-dev,
                libftgl-dev,
                libglew-dev,
-               libgtkglextmm-x11-1.2-dev,
-               libgtkmm-2.4-dev,
+               libglib2.0-dev,
                libjpeg-dev,
                libopenal-dev,
                libpython3-dev,
+               libsigc++-2.0-dev,
                libvorbis-dev,
                libwxgtk3.2-dev,
                libxml2-dev,
